## This file was auto-generated by CloudCoreo CLI
## This file was automatically generated using the CloudCoreo CLI
##
## This config.rb file exists to create and maintain services not related to compute.
## for example, a VPC might be maintained using:
##
## coreo_aws_vpc_vpc "my-vpc" do
##   action :sustain
##   cidr "12.0.0.0/16"
##   internet_gateway true
## end
##

coreo_aws_ec2_securityGroups "${RDS_NAME}${SUFFIX}-db" do
  action :sustain
  description "descr"
  allows [{
    direction: :ingress,
    protocol: :tcp,
    ports: [3306],
    cidrs: ["${VPC_OCTETS}/16"]
  }]
  vpc "${VPC_NAME}${SUFFIX}"
end

coreo_aws_rds_instance "${RDS_NAME}${SUFFIX}" do
  action :sustain
  db_name "${RDS_DB_NAME}"
  storage_gb ${RDS_STORAGE_GB}
  engine "${RDS_ENGINE_TYPE}"
  engine_version "${RDS_ENGINE_VERSION}"
  master_username "${RDS_MASTER_USERNAME}"
  master_user_password "${RDS_MASTER_USER_PASSWORD}"
  size "${RDS_INSTANCE_SIZE}"
  subnet "${PRIVATE_SUBNET_NAME}${SUFFIX}"
  security_groups ["${RDS_NAME}${SUFFIX}-db"]
  multi_az ${RDS_MULTI_AZ}
  auto_minor_version_upgrade true
end

